Package org.jboss.modules

# Interface PreMain

public interface PreMain
An initialization task which is run before the application's `main` method. THe main module is searched for service implementations of this interface before the main method is executed.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`void`
`run(List<String> args)`
Run the initialization task.

## Method Details

### run

void run(List<String> args)
Run the initialization task.

Parameters:
  `args` - the (mutable) list of command-line arguments